<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" version="1.0">

	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>	 
	<xsl:template match="/">			
			
		<html>
			<head>
				<title>Network Journal Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Network Journal</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="480" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="480">	
							<xsl:apply-templates select="//cardEntries"/>
						</table>		
					</tr>
				</table>
				<br/>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr><td width="100%">^ Mobile ASA Transactions</td></tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	
	
	<xsl:template match="cardEntries">
			<tr>
				<td width="55" align="center" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Card Type</font></b></td>
				<td width="130" align="center" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Acct Number</font></b></td>
				<td width="10" align="center" bgcolor="#3366CC" height="1"/>
				<td width="110" align="center" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Name</font></b></td>
				<td width="55" align="center" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>Time</b></font></td>
				<td width="30" align="center" bgcolor="#3366CC" height="1"/>
				<td width="55" align="center" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>Date</b></font></td>
				<td width="30" align="center" bgcolor="#3366CC" height="1"/>
				<td width="30" align="center" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Auth Code</font></b></td>
				<td width="30" align="center" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF"/></b></td>
				<td width="55" align="center" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Amount</font></b></td>


			</tr>												
		<xsl:for-each select="cardEntry">
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="55" align="left"><nobr><xsl:value-of select="./t:cardInfo/ccName"/></nobr></td>
				<td width="130" align="right">
					<nobr>
						<xsl:value-of select="./t:cardInfo/acct"/>
					</nobr>
				</td>
				<td width="10" align="center"/>
				<td width="110" align="center"><xsl:value-of select="./t:cardInfo/cardHolderName"/></td>
				<td width="55" align="right"><nobr><xsl:value-of select="substring(./dateTime,12,5)"/></nobr></td>
				<td width="30" align="center"/>
				<td width="55" align="right"><nobr><xsl:value-of select="substring(./dateTime,1,10)"/></nobr></td>
				<td width="30" align="center"/>
				<td width="30" align="center "><nobr><xsl:value-of select="./t:cardInfo/ticket"/></nobr></td>
				<td width="30" align="center">
					<nobr>
						<xsl:if test="@DCR='true'">
							d
						</xsl:if>
						<xsl:if test="@EBT='true'">
							e
						</xsl:if>
					</nobr>
				</td>
				<td width="55" align="right"><nobr>$<xsl:value-of select="./amt"/></nobr></td>
			</tr>			
		</xsl:for-each>
	</xsl:template>
</xsl:transform>