<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/MSMovementMain" xmlns:ns1="http://verifone.com/isd/vfit/tlog/naxml3.3/MSMovementSub" xmlns:ns2="http://verifone.com/isd/vfit/tlog/naxml3.3/MSMovement" xmlns:ns3="http://verifone.com/isd/vfit/tlog/naxml3.3/MSMovementGrouping" xmlns="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 ns3 base">
	<xsl:import href="MSMovement.xsl"/>
	<xsl:import href="MSMovementSub.xsl"/>
	<xsl:import href="MSMovementGrouping.xsl"/>

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		
		<xsl:variable name="ns:tlog_mod">
			<xsl:call-template name="ns1:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($inputDoc)"/>
			</xsl:call-template>
		</xsl:variable>

		<xsl:variable name="ns:tlog_modOut">
			<xsl:call-template name="ns2:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($ns:tlog_mod)"/>
			</xsl:call-template>
		</xsl:variable>

		
		<xsl:variable name="ns:tlog_modGroup">
			<xsl:call-template name="ns3:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($ns:tlog_modOut)"/>
			</xsl:call-template>
		</xsl:variable>
	
		<xsl:copy-of select="$ns:tlog_modGroup"/>
		
	</xsl:template>
</xsl:stylesheet>