<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/buildMSMovement" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/naxml3.3/buildMSMovement" xmlns:ns3="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/statsOnly" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 ns3 base">
	<xsl:import href="../../tlogDoc.xslt"/>
	<xsl:import href="../../../tlog/naxml3.3/buildMSMovement.xslt"/>
	<xsl:import href="statsOnly.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="tlog">
			<xsl:call-template name="ns1:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($inputDoc)"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="strippedLog">
			<t:tlog>
				<xsl:apply-templates select="ext:node-set($tlog)/*" mode="ns:preproc"/>
			</t:tlog>
		</xsl:variable>
		<xsl:variable name="report">
			<xsl:call-template name="ns2:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($strippedLog)"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="ns3:main">
			<xsl:with-param name="inputDoc" select="ext:node-set($report)"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match=" / * | @* | text()" mode="ns:preproc">
		<xsl:apply-templates select="node()" mode="ns:preproc"/>
	</xsl:template>
	<xsl:template match="t:hdr | t:startTotals| t:endTotals | t:openCashier | t:closeCashier | t:countCashier  | t:tillSafeDrop | t:tillSafeLoan | t:tillPayout | t:tillPayin | t:tillNosale | t:sale | t:suspendedSale | t:void | t:suspendedSale | t:pumpTest " mode="ns:preproc">
		<xsl:copy-of select="."/>
	</xsl:template>
</xsl:stylesheet>