call setSapphireAddr
call setSapphirePeriod
call setSapphireCashier
call setSapphireLogin

@dir reports > NUL
@if ERRORLEVEL 1 mkdir reports
@del /Q reports\*.* > NUL


for /f %%i in ( 
	'cscript //NoLogo ..\exec\reportData.wsf  /base:http://%sapphireAddr% /cmd:validate /user:%sapphireUser% /passwd:%sapphirePasswd% /returnCookie:'
) do @( 
	set cookie=%%i
	set period=%sapphirePeriod%
	set reptNum=%sapphireReptnum%
	set filename=%sapphireFilename%
	set cashier=%sapphireCashier%
	set register=%sapphireRegnum%

	set cmd=vreportpdlist
	CALL:httpGET

	set cmd=vtlogpdlist
	CALL:httpGET

	set cmd=vcashierpdlist
	CALL:httpGET

	set cmd=vpayrollpdlist
	CALL:httpGET

	set cmd=vperiodrept
	CALL:httpGET

	set cmd=vcashierrept
	CALL:httpCASHIERGET

	set cmd=vrubyrept
	set reptname=summary
	CALL:httpRUBYREPTGET

	set cmd=vrubyrept
	set reptname=summary
	CALL:httpRUBYREPTGET

	set cmd=vrubyrept
	set reptname=department
	CALL:httpRUBYREPTGET

	set cmd=vrubyrept
	set reptname=tax
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=hourly
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=network
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=deal
	CALL:httpRUBYREPTGET

	set cmd=vrubyrept
	set reptname=plu
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=category
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=cashAcc
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=carWash
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=propCard
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=propProd
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=moneyOrderDev
	CALL:httpRUBYREPTGET

	set cmd=vrubyrept
	set reptname=networkTotals
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=popDisc
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=dcrStat
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=fpHoseTest
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=fpHose
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=fpHoseRunning
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=prPriceLvl
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=slPriceLvl
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=tierProduct
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=autoCollect
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=tank
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=tankMonitor
	CALL:httpRUBYREPTGET


	set cmd=vrubyrept
	set reptname=tankRec
	CALL:httpRUBYREPTGET

	set cmd=vfueltotals
	CALL:httpGET

	set cmd=releaseCredential
	CALL:httpGET
)

GOTO:EOF

:httpGET
	if "%filename%" == "" goto USEREPTNUM
	cscript //NoLogo ..\exec\reportData.wsf /base:http://%sapphireAddr% /cmd:%cmd% /cookie:%cookie% /period:%period% /filename:%filename% 1>reports\%cmd%.xml
	GOTO:EOF
:USEREPTNUM:
	cscript //NoLogo ..\exec\reportData.wsf /base:http://%sapphireAddr% /cmd:%cmd% /cookie:%cookie% /period:%period% /reptnum:%reptNum% 1>reports\%cmd%.xml
GOTO:EOF

:httpCASHIERGET
	if "%filename%" == "" goto USEREPTNUM1
	cscript //NoLogo ..\exec\reportData.wsf /base:http://%sapphireAddr% /cmd:%cmd% /cookie:%cookie% /period:%period% /filename:%filename% /cashierNum:%cashier% /regNum:%register% 1>reports\%cmd%.xml
	GOTO:EOF
:USEREPTNUM1
	cscript //NoLogo ..\exec\reportData.wsf /base:http://%sapphireAddr% /cmd:%cmd% /cookie:%cookie% /period:%period% /reptnum:%reptNum% /cashierNum:%cashier% /regNum:%register% 1>reports\%cmd%.xml
	GOTO:EOF
:httpRUBYREPTGET
	if "%filename%" == "" goto USEREPTNUM2
	cscript //NoLogo ..\exec\reportData.wsf /base:http://%sapphireAddr% /cmd:%cmd% /cookie:%cookie% /period:%period% /filename:%filename% /cashierNum:%cashier% /regNum:%register% /reptname:%reptname% 1>reports\%cmd%-%reptname%.xml
	GOTO:EOF
:USEREPTNUM2
	cscript //NoLogo ..\exec\reportData.wsf /base:http://%sapphireAddr% /cmd:%cmd% /cookie:%cookie% /period:%period% /reptnum:%reptNum% /cashierNum:%cashier% /regNum:%register% /reptname:%reptname% 1>reports\%cmd%-%reptname%.xml
GOTO:EOF