<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>PBT Summary Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">PBT Summary Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="480" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="480">
							<xsl:call-template name="header"/>
							<xsl:call-template name="complete"/>

						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="header">
		<tr>
			<td width="80" align="center" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF"/>
				</b>
			</td>
			<td width="255" align="center" bgcolor="#3366CC" height="1" colspan="4">
				<b>
					<font color="#FFFFFF">PURCHASES</font>
				</b>
			</td>
			<td width="255" align="center" bgcolor="#3366CC" height="1" colspan="4">
				<b>
					<font color="#FFFFFF">REFUNDS</font>
				</b>
			</td>
			</tr>
			<tr>
				<td width="80" align="center" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF"/>
					</b>
				</td>
				<td width="127" align="center" bgcolor="#3366CC" height="1" colspan="2">
				<b>
					<font color="#FFFFFF">COUNT</font>
				</b>
				</td>
				<td width="127" align="center" bgcolor="#3366CC" height="1" colspan="2">
				<b>
					<font color="#FFFFFF">AMOUNT</font>
				</b>
				</td>
				<td width="127" align="center" bgcolor="#3366CC" height="1" colspan="2">
				<b>
					<font color="#FFFFFF">COUNT</font>
				</b>
				</td>
				<td width="127" align="center" bgcolor="#3366CC" height="1" colspan="2">
				<b>
					<font color="#FFFFFF">AMOUNT</font>
				</b>
				</td>
			</tr>
		</xsl:template>

	<xsl:template name="complete">
			<tr>
				<td width="60" align="left">
					<xsl:text>Complete</xsl:text>
				</td>
				<td width="67" align="right">
					<xsl:value-of select="//sales/totals/count"/>
				</td>
				<td width="70"/>
				<td width="97" align="right">
					<xsl:value-of select="//sales/totals/amount"/>
				</td>
				<td width="30"/>
				<td width="67" align="right">
					<xsl:value-of select="//refunds/totals/count"/>
				</td>
				<td width="70"/>
				<td width="97" align="right">
					<xsl:value-of select="//refunds/totals/amount"/>
				</td>
				<td width="30"/>
			</tr>
		</xsl:template>			
		<xsl:template name="incomplete">
			<tr>
				<td width="60" align="left">
					<xsl:text>Incomplete</xsl:text>
				</td>
				<td width="67" align="right">
					<xsl:text>0</xsl:text>
				</td>
				<td width="70"/>
				<td width="97" align="right">
					<xsl:text>0.00</xsl:text>
				</td>
				<td width="30"/>
				<td width="67" align="right">
					<xsl:text>0</xsl:text>
				</td>
				<td width="70"/>
				<td width="97" align="right">
					<xsl:text>0.00</xsl:text>
				</td>
				<td width="30"/>
			</tr>
		</xsl:template>

</xsl:transform>