<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 

	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">			
			
		<html>
			<head>
				<title>Cash Acceptor Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
						num					{text-align:right;} 
						text					{text-align: left;}
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Cash Acceptor Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="531">	

							<tr>
								<td class="text" align="left" width="100" bgcolor="#3366CC" height="1">
									<b><font color="#FFFFFF">Cash acceptor	</font>
									</b>	
								</td>
								<td width="6" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="68" bgcolor="#3366CC" height="1">
									<b><font color="#FFFFFF"># of Sales</font>		
									</b>	
								</td>
								<td width="10" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="73" bgcolor="#3366CC" height="1">
									<font color="#FFFFFF"><b>Amount accepted</b></font>		
								</td>
								<td width="8" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="73" bgcolor="#3366CC" height="1">
									<font color="#FFFFFF"><b>Amount sold</b></font>
								</td>
															
							</tr>
			
							<xsl:apply-templates select="/*/totals/cashAccTotal">
								<xsl:sort select="fpNum" data-type="number"/>
							</xsl:apply-templates>
							<xsl:apply-templates select="/*/totals/total"/>
						</table>
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	

	
	<xsl:template match="cashAccTotal">
		<tr>
			<td class="text" align="left" width="100">
				<xsl:value-of select="fpNum"/>
			</td>
			<td width="6"/>
			<xsl:apply-templates select="cashAccInfo"/>
		</tr>
	</xsl:template>		
	
	<xsl:template match="cashAccInfo">
		<xsl:call-template name="totalInfo"/>
	</xsl:template>
	
	<xsl:template match="totals/total">
		<tr>
			<td colspan="13" width="593">			
				<hr color="#DBDBDB" valign="top" width="593" align="left"/>
			</td>
		</tr>

		<tr>
			<td class="text" align="left" width="100">Total</td>
			<td width="6"/>
			<xsl:call-template name="totalInfo"/>
		</tr>			
	</xsl:template>	
	
	<xsl:template name="totalInfo">
		<td class="num" align="right" width="68"><xsl:apply-templates select="./count"/></td>
		<td/>
		<td class="num" align="right" width="73"><xsl:apply-templates select="./amountTaken"/></td>
		<td/>
		<td class="num" align="right" width="73"><xsl:apply-templates select="./saleAmount"/></td>
	</xsl:template>
		
	
	<xsl:template match="count">
		<nobr><xsl:value-of select="."/></nobr>		
	</xsl:template>
	
	
	<xsl:template match="amountTaken">
		<nobr><xsl:value-of select="format-number(.,'##,##0.00')"/></nobr>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="saleAmount">
		<nobr><xsl:value-of select="format-number(.,'##,##0.00')"/></nobr>
	</xsl:template>
</xsl:transform>