<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="tr_period.xsl"/> 
	<xsl:template match="cashActivity">
		<html>
			<head>
				<title>Cash Activity Audit</title>			
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Cash Activity Audit</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>

						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Increases to Cash</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Type</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Total</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Cash</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/cash,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Food Stamps</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/foodStamps,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Checks</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/checks,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">LOTTO Winners</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/lottoWinner,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Lottery Winners</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/lotteryWinner,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Drive Offs</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/driveOffs,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Safe Loans</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/safeLoans,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Total Increase to Cash</td>
								<td/>
								<td/>
								<td/>
								<td align="center">+  <xsl:value-of select="format-number(increases/total,'#,##0.00')"/></td>
							</tr>
						</table>
						
						<br/>	


						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Decreases to Cash</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Type</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Total</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Change returned in Cash</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/cashChange,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Change returned in Food Stamps</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/foodStampChange,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Change returned on Checks</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/checkChange,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Refunds to Cash</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/cashRefunds,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Refunds to Food Stamps</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/foodStampRefunds,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Refunds to Checks</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/checkRefunds,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Debit Cash Back</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/cashBack,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Safe Drops to Cash</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/safeDropCash,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Safe Drops to Food Stamps</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/safeDropFoodStamp,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Safe Drops to Checks</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/safeDropCheck,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Safe Drops to LOTTO</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/safeDropLotto,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Safe Drops to Lottery</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(decreases/safeDropLottery,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Total Decrease to Cash</td>
								<td/>
								<td/>
								<td/>
								<td align="center">-  <xsl:value-of select="format-number(decreases/total,'#,##0.00')"/></td>
							</tr>
						</table>
						
						<br/>	


						<xsl:variable name="cashBalance" select="increases/cash +                  increases/safeLoans -                  decreases/cashChange -                  decreases/checkChange -                  decreases/cashRefunds -                  decreases/cashBack -                  decreases/safeDropCash"/>

						<xsl:variable name="foodStampBalance" select="increases/foodStamps -                    decreases/foodStampChange -                    decreases/foodStampRefunds -                    decreases/safeDropFoodStamp"/>

						<xsl:variable name="checkBalance" select="increases/checks -                   decreases/checkRefunds -                   decreases/safeDropCheck"/>

						<xsl:variable name="totalBalance" select="increases/total -                   decreases/total"/>

						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Total Cash Activity</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Type</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Total</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Cash</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number($cashBalance,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Food Stamps</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number($foodStampBalance,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Checks</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number($checkBalance,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">LOTTO</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/lottoWinner,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Lottery</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/lotteryWinner,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Drive Offs</td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(increases/driveOffs,'#,##0.00')"/></td>
								<td/>
								<td/>
							</tr>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">Total Increase to Cash</td>
								<td/>
								<td/>
								<td/>
								<td align="center">+  <xsl:value-of select="format-number($totalBalance,'#,##0.00')"/></td>
							</tr>
						</table>
						
						<br/>	
						
						<br/>

						<br/>						
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

</xsl:transform>