<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 

	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">			
			
		<html>
			<head>
				<title>Money Order Device Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
						num					{text-align:right;} 
						text					{text-align: left;}
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Money Order Device Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="450">	
							<tr>
								<td class="text" align="left" width="100" bgcolor="#3366CC" height="1">
									<b><font color="#FFFFFF">Description</font>
									</b>	
								</td>
								<td width="6" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="68" bgcolor="#3366CC" height="1">
									<b><font color="#FFFFFF">Count</font>		
									</b>	
								</td>
								<td width="10" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="73" bgcolor="#3366CC" height="1">
									<font color="#FFFFFF"><b>Amount</b></font>		
								</td>
							</tr>
							<xsl:apply-templates select="/*/moneyOrderSales"/>
							<xsl:apply-templates select="/*/vendorPayments"/>
							<xsl:call-template name="total"/>
						</table>
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	

	
	<xsl:template match="moneyOrderSales">
		<tr>
			<td class="text" align="left" width="150">Money order sales</td>
			<td width="6"/>
			<xsl:call-template name="countAmount"/>
		</tr>
	</xsl:template>		
	
	<xsl:template match="vendorPayments">
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td class="text" align="left" width="150">Vendor payments</td>
			<td width="6"/>
			<xsl:call-template name="countAmount"/>
		</tr>
	</xsl:template>
	
	<xsl:template name="total">
		<tr>
			<td colspan="13" width="450">			
				<hr color="#DBDBDB" valign="top" width="450" align="left"/>
			</td>
		</tr>
		<tr>
			<td class="text" align="left" width="100">Total</td>
			<td width="6"/>
			<td class="num" align="right" width="68">
				<xsl:value-of select="sum(//count)"/>
			</td>
			<td/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(sum(//amount),'##,##0.00')"/>
			</td>
		</tr>			
	</xsl:template>	
	
		
	<xsl:template name="countAmount">
		<td class="num" align="right" width="68">
			<xsl:value-of select="count"/>
		</td>
		<td/>
		<td class="num" align="right" width="73">
			<xsl:value-of select="format-number(amount,'##,##0.00')"/>
		</td>
	</xsl:template>
</xsl:transform>