<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" media-type="text/xml"/>


<xsl:param name="genCig1Pk">0061</xsl:param>
<xsl:param name="genCig2Pk">0062</xsl:param>
<xsl:param name="genCig3Pk">0063</xsl:param>
<xsl:param name="genCig4Pk">0064</xsl:param>
<xsl:param name="genCig5Pk">0065</xsl:param>
<xsl:param name="genCigCtn">0066</xsl:param>

<xsl:param name="prmCig1Pk">0002</xsl:param>
<xsl:param name="prmCig2Pk">0056</xsl:param>
<xsl:param name="prmCig3Pk">0057</xsl:param>
<xsl:param name="prmCig4Pk">0058</xsl:param>
<xsl:param name="prmCig5Pk">0059</xsl:param>
<xsl:param name="prmCigCtn">0060</xsl:param>

<xsl:param name="valCig1Pk">0067</xsl:param>
<xsl:param name="valCig2Pk">0068</xsl:param>
<xsl:param name="valCig3Pk">0069</xsl:param>
<xsl:param name="valCig4Pk">0071</xsl:param>
<xsl:param name="valCig5Pk">0072</xsl:param>
<xsl:param name="valCigCtn">0073</xsl:param>

<xsl:param name="phoneCardDept">0036</xsl:param>

<xsl:param name="lotteryDept">0027</xsl:param>
<xsl:param name="lottoDept">0048</xsl:param>




<xsl:key name="lineDescrKey" match="trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'plu')][not(contains(@type,'void'))][not(trlCombo)]|          trans[@type='refund sale']/trLines/trLine[contains(@type,'plu')][contains(@type,'void')][not(trlCombo)]" use="trlDesc"/>

<xsl:key name="negLineDescrKey" match="trans[@type='refund sale']/trLines/trLine[contains(@type,'plu')][not(contains(@type,'void'))][not(trlCombo)]|             trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'plu')][contains(@type,'void')][not(trlCombo)]" use="trlDesc"/>


<xsl:template match="transSet">

<quickCounts>
	<cigaretteSales>

			<xsl:variable name="totGenCig1PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig1Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig1Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig1PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig1Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig1Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig1PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig1Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig1Pk]/trlQty)"/>
			<xsl:variable name="totGenCig1PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig1Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig1Pk]/trlQty)"/>
	
			<xsl:variable name="totGenCig2PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig2Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig2Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig2PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig2Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig2Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig2PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig2Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig2Pk]/trlQty)"/>
			<xsl:variable name="totGenCig2PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig2Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig2Pk]/trlQty)"/>
	
			<xsl:variable name="totGenCig3PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig3Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig3Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig3PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig3Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig3Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig3PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig3Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig3Pk]/trlQty)"/>
			<xsl:variable name="totGenCig3PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig3Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig3Pk]/trlQty)"/>
	
			<xsl:variable name="totGenCig4PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig4Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig4Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig4PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig4Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig4Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig4PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig4Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig4Pk]/trlQty)"/>
			<xsl:variable name="totGenCig4PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig4Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig4Pk]/trlQty)"/>
	
			<xsl:variable name="totGenCig5PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig5Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig5Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig5PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig5Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig5Pk]/trlLineTot)"/>
			<xsl:variable name="totGenCig5PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig5Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig5Pk]/trlQty)"/>
			<xsl:variable name="totGenCig5PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCig5Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCig5Pk]/trlQty)"/>
	
			<xsl:variable name="totGenCigCtnSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCigCtn]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCigCtn]/trlLineTot)"/>
			<xsl:variable name="totGenCigCtnNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCigCtn]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCigCtn]/trlLineTot)"/>
			<xsl:variable name="totGenCigCtnCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCigCtn]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCigCtn]/trlQty)"/>
			<xsl:variable name="totGenCigCtnNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$genCigCtn]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$genCigCtn]/trlQty)"/>
	
			<xsl:variable name="totGenCigQuant" select="($totGenCig1PkCount - $totGenCig1PkNegCount) +                ($totGenCig2PkCount - $totGenCig2PkNegCount) +                ($totGenCig3PkCount - $totGenCig3PkNegCount) +                ($totGenCig4PkCount - $totGenCig4PkNegCount) +                ($totGenCig5PkCount - $totGenCig5PkNegCount) +                ($totGenCigCtnCount - $totGenCigCtnNegCount)"/>
	
			<xsl:variable name="totGenCigSales" select="($totGenCig1PkSales - $totGenCig1PkNegSales) +                ($totGenCig2PkSales - $totGenCig2PkNegSales) +                ($totGenCig3PkSales - $totGenCig3PkNegSales) +                ($totGenCig4PkSales - $totGenCig4PkNegSales) +                ($totGenCig5PkSales - $totGenCig5PkNegSales) +                ($totGenCigCtnSales - $totGenCigCtnNegSales)"/>
	
			<xsl:variable name="totGenCigCount" select="($totGenCig1PkCount - $totGenCig1PkNegCount) +                ($totGenCig2PkCount - $totGenCig2PkNegCount) * 2 +                ($totGenCig3PkCount - $totGenCig3PkNegCount) * 3 +                ($totGenCig4PkCount - $totGenCig4PkNegCount) * 4 +                ($totGenCig5PkCount - $totGenCig5PkNegCount) * 5 +                ($totGenCigCtnCount - $totGenCigCtnNegCount) * 10"/>
	
	
			<xsl:variable name="totValCig1PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig1Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig1Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig1PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig1Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig1Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig1PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig1Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig1Pk]/trlQty)"/>
			<xsl:variable name="totValCig1PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig1Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig1Pk]/trlQty)"/>
	
			<xsl:variable name="totValCig2PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig2Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig2Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig2PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig2Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig2Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig2PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig2Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig2Pk]/trlQty)"/>
			<xsl:variable name="totValCig2PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig2Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig2Pk]/trlQty)"/>
	
			<xsl:variable name="totValCig3PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig3Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig3Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig3PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig3Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig3Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig3PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig3Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig3Pk]/trlQty)"/>
			<xsl:variable name="totValCig3PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig3Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig3Pk]/trlQty)"/>
	
			<xsl:variable name="totValCig4PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig4Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig4Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig4PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig4Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig4Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig4PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig4Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig4Pk]/trlQty)"/>
			<xsl:variable name="totValCig4PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig4Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig4Pk]/trlQty)"/>
	
			<xsl:variable name="totValCig5PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig5Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig5Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig5PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig5Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig5Pk]/trlLineTot)"/>
			<xsl:variable name="totValCig5PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig5Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig5Pk]/trlQty)"/>
			<xsl:variable name="totValCig5PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCig5Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCig5Pk]/trlQty)"/>
	
			<xsl:variable name="totValCigCtnSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCigCtn]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCigCtn]/trlLineTot)"/>
			<xsl:variable name="totValCigCtnNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCigCtn]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCigCtn]/trlLineTot)"/>
			<xsl:variable name="totValCigCtnCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCigCtn]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCigCtn]/trlQty)"/>
			<xsl:variable name="totValCigCtnNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$valCigCtn]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$valCigCtn]/trlQty)"/>
	
			<xsl:variable name="totValCigQuant" select="($totValCig1PkCount - $totValCig1PkNegCount) +                ($totValCig2PkCount - $totValCig2PkNegCount) +                ($totValCig3PkCount - $totValCig3PkNegCount) +                ($totValCig4PkCount - $totValCig4PkNegCount) +                ($totValCig5PkCount - $totValCig5PkNegCount) +                ($totValCigCtnCount - $totValCigCtnNegCount)"/>
	
			<xsl:variable name="totValCigSales" select="($totValCig1PkSales - $totValCig1PkNegSales) +                ($totValCig2PkSales - $totValCig2PkNegSales) +                ($totValCig3PkSales - $totValCig3PkNegSales) +                ($totValCig4PkSales - $totValCig4PkNegSales) +                ($totValCig5PkSales - $totValCig5PkNegSales) +                ($totValCigCtnSales - $totValCigCtnNegSales)"/>
	
			<xsl:variable name="totValCigCount" select="($totValCig1PkCount - $totValCig1PkNegCount) +                ($totValCig2PkCount - $totValCig2PkNegCount) * 2 +                ($totValCig3PkCount - $totValCig3PkNegCount) * 3 +                ($totValCig4PkCount - $totValCig4PkNegCount) * 4 +                ($totValCig5PkCount - $totValCig5PkNegCount) * 5 +                ($totValCigCtnCount - $totValCigCtnNegCount) * 10"/>
	
	
			<xsl:variable name="totPrmCig1PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig1Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig1Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig1PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig1Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig1Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig1PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig1Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig1Pk]/trlQty)"/>
			<xsl:variable name="totPrmCig1PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig1Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig1Pk]/trlQty)"/>
	
			<xsl:variable name="totPrmCig2PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig2Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig2Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig2PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig2Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig2Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig2PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig2Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig2Pk]/trlQty)"/>
			<xsl:variable name="totPrmCig2PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig2Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig2Pk]/trlQty)"/>
	
			<xsl:variable name="totPrmCig3PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig3Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig3Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig3PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig3Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig3Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig3PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig3Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig3Pk]/trlQty)"/>
			<xsl:variable name="totPrmCig3PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig3Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig3Pk]/trlQty)"/>
	
			<xsl:variable name="totPrmCig4PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig4Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig4Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig4PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig4Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig4Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig4PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig4Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig4Pk]/trlQty)"/>
			<xsl:variable name="totPrmCig4PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig4Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig4Pk]/trlQty)"/>
	
			<xsl:variable name="totPrmCig5PkSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig5Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig5Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig5PkNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig5Pk]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig5Pk]/trlLineTot)"/>
			<xsl:variable name="totPrmCig5PkCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig5Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig5Pk]/trlQty)"/>
			<xsl:variable name="totPrmCig5PkNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCig5Pk]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCig5Pk]/trlQty)"/>
	
			<xsl:variable name="totPrmCigCtnSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCigCtn]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCigCtn]/trlLineTot)"/>
			<xsl:variable name="totPrmCigCtnNegSales" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCigCtn]/trlLineTot|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCigCtn]/trlLineTot)"/>
			<xsl:variable name="totPrmCigCtnCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCigCtn]/trlQty|                   trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCigCtn]/trlQty)"/>
			<xsl:variable name="totPrmCigCtnNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$prmCigCtn]/trlQty|                   trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$prmCigCtn]/trlQty)"/>
	
			<xsl:variable name="totPrmCigQuant" select="($totPrmCig1PkCount - $totPrmCig1PkNegCount) +                ($totPrmCig2PkCount - $totPrmCig2PkNegCount) +                ($totPrmCig3PkCount - $totPrmCig3PkNegCount) +                ($totPrmCig4PkCount - $totPrmCig4PkNegCount) +                ($totPrmCig5PkCount - $totPrmCig5PkNegCount) +                ($totPrmCigCtnCount - $totPrmCigCtnNegCount)"/>
	
			<xsl:variable name="totPrmCigSales" select="($totPrmCig1PkSales - $totPrmCig1PkNegSales) +                ($totPrmCig2PkSales - $totPrmCig2PkNegSales) +                ($totPrmCig3PkSales - $totPrmCig3PkNegSales) +                ($totPrmCig4PkSales - $totPrmCig4PkNegSales) +                ($totPrmCig5PkSales - $totPrmCig5PkNegSales) +                ($totPrmCigCtnSales - $totPrmCigCtnNegSales)"/>
	
			<xsl:variable name="totPrmCigCount" select="($totPrmCig1PkCount - $totPrmCig1PkNegCount) +                ($totPrmCig2PkCount - $totPrmCig2PkNegCount) * 2 +                ($totPrmCig3PkCount - $totPrmCig3PkNegCount) * 3 +                ($totPrmCig4PkCount - $totPrmCig4PkNegCount) * 4 +                ($totPrmCig5PkCount - $totPrmCig5PkNegCount) * 5 +                ($totPrmCigCtnCount - $totPrmCigCtnNegCount) * 10"/>
	
	
			<generic>
				<onePack>
					<quantity><xsl:value-of select="($totGenCig1PkCount - $totGenCig1PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totGenCig1PkSales - $totGenCig1PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totGenCig1PkCount - $totGenCig1PkNegCount)"/></count>
				</onePack>
				<twoPack>
					<quantity><xsl:value-of select="($totGenCig2PkCount - $totGenCig2PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totGenCig2PkSales - $totGenCig2PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totGenCig2PkCount - $totGenCig2PkNegCount) * 2"/></count>
				</twoPack>
				<threePack>
					<quantity><xsl:value-of select="($totGenCig3PkCount - $totGenCig3PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totGenCig3PkSales - $totGenCig3PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totGenCig3PkCount - $totGenCig3PkNegCount) * 3"/></count>
				</threePack>
				<fourPack>
					<quantity><xsl:value-of select="($totGenCig4PkCount - $totGenCig4PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totGenCig4PkSales - $totGenCig4PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totGenCig4PkCount - $totGenCig4PkNegCount) * 4"/></count>
				</fourPack>
				<fivePack>
					<quantity><xsl:value-of select="($totGenCig5PkCount - $totGenCig5PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totGenCig5PkSales - $totGenCig5PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totGenCig5PkCount - $totGenCig5PkNegCount) * 5"/></count>
				</fivePack>
				<carton>
					<quantity><xsl:value-of select="($totGenCigCtnCount - $totGenCigCtnNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totGenCigCtnSales - $totGenCigCtnNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totGenCigCtnCount - $totGenCigCtnNegCount) * 10"/></count>
				</carton>
				<total>
					<quantity><xsl:value-of select="$totGenCigQuant"/></quantity>
					<amount><xsl:value-of select="format-number($totGenCigSales,'#,##0.00')"/></amount>
					<count><xsl:value-of select="$totGenCigCount"/></count>
				</total>
			</generic>
			<value>
				<onePack>
					<quantity><xsl:value-of select="($totValCig1PkCount - $totValCig1PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totValCig1PkSales - $totValCig1PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totValCig1PkCount - $totValCig1PkNegCount)"/></count>
				</onePack>
				<twoPack>
					<quantity><xsl:value-of select="($totValCig2PkCount - $totValCig2PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totValCig2PkSales - $totValCig2PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totValCig2PkCount - $totValCig2PkNegCount) * 2"/></count>
				</twoPack>
				<threePack>
					<quantity><xsl:value-of select="($totValCig3PkCount - $totValCig3PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totValCig3PkSales - $totValCig3PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totValCig3PkCount - $totValCig3PkNegCount) * 3"/></count>
				</threePack>
				<fourPack>
					<quantity><xsl:value-of select="($totValCig4PkCount - $totValCig4PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totValCig4PkSales - $totValCig4PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totValCig4PkCount - $totValCig4PkNegCount) * 4"/></count>
				</fourPack>
				<fivePack>
					<quantity><xsl:value-of select="($totValCig5PkCount - $totValCig5PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totValCig5PkSales - $totValCig5PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totValCig5PkCount - $totValCig5PkNegCount) * 5"/></count>
				</fivePack>
				<carton>
					<quantity><xsl:value-of select="($totValCigCtnCount - $totValCigCtnNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totValCigCtnSales - $totValCigCtnNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totValCigCtnCount - $totValCigCtnNegCount) * 10"/></count>
				</carton>
				<total>
					<quantity><xsl:value-of select="$totValCigQuant"/></quantity>
					<amount><xsl:value-of select="format-number($totValCigSales,'#,##0.00')"/></amount>
					<count><xsl:value-of select="$totValCigCount"/></count>
				</total>
			</value>
			<premium>
				<onePack>
					<quantity><xsl:value-of select="($totPrmCig1PkCount - $totPrmCig1PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totPrmCig1PkSales - $totPrmCig1PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totPrmCig1PkCount - $totPrmCig1PkNegCount)"/></count>
				</onePack>
				<twoPack>
					<quantity><xsl:value-of select="($totPrmCig2PkCount - $totPrmCig2PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totPrmCig2PkSales - $totPrmCig2PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totPrmCig2PkCount - $totPrmCig2PkNegCount) * 2"/></count>
				</twoPack>
				<threePack>
					<quantity><xsl:value-of select="($totPrmCig3PkCount - $totPrmCig3PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totPrmCig3PkSales - $totPrmCig3PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totPrmCig3PkCount - $totPrmCig3PkNegCount) * 3"/></count>
				</threePack>
				<fourPack>
					<quantity><xsl:value-of select="($totPrmCig4PkCount - $totPrmCig4PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totPrmCig4PkSales - $totPrmCig4PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totPrmCig4PkCount - $totPrmCig4PkNegCount) * 4"/></count>
				</fourPack>
				<fivePack>
					<quantity><xsl:value-of select="($totPrmCig5PkCount - $totPrmCig5PkNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totPrmCig5PkSales - $totPrmCig5PkNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totPrmCig5PkCount - $totPrmCig5PkNegCount) * 5"/></count>
				</fivePack>
				<carton>
					<quantity><xsl:value-of select="($totPrmCigCtnCount - $totPrmCigCtnNegCount)"/></quantity>
					<amount><xsl:value-of select="format-number(($totPrmCigCtnSales - $totPrmCigCtnNegSales),'#,##0.00')"/></amount>
					<count><xsl:value-of select="($totPrmCigCtnCount - $totPrmCigCtnNegCount) * 10"/></count>
				</carton>
				<total>
					<quantity><xsl:value-of select="$totPrmCigQuant"/></quantity>
					<amount><xsl:value-of select="format-number($totPrmCigSales,'#,##0.00')"/></amount>
					<count><xsl:value-of select="$totPrmCigCount"/></count>
				</total>
			</premium>
		
	</cigaretteSales>
	
	
	<phoneCardSales>

		<xsl:variable name="uniquePhoneCard" select="trans/trLines/trLine[contains(@type,'plu')][trlDept/@number=$phoneCardDept]/trlDesc[not(.=preceding::trlDesc)]"/>

		<xsl:for-each select="$uniquePhoneCard">
		
   			<xsl:sort/>
   			
			<xsl:variable name="this" select="."/>
			
			<xsl:variable name="phoneCardQty" select="sum(key('lineDescrKey',$this)/trlQty) - sum(key('negLineDescrKey',$this)/trlQty)"/>
			<xsl:variable name="phoneCardAmt" select="sum(key('lineDescrKey',$this)/trlLineTot) - sum(key('negLineDescrKey',$this)/trlLineTot)"/>

			<phoneCard type="{$this}">
				<count><xsl:value-of select="$phoneCardQty"/></count>
				<amount><xsl:value-of select="format-number($phoneCardAmt,'#,##0.00')"/></amount>
			</phoneCard>
			
		</xsl:for-each>
		
		<xsl:variable name="phoneCardQty" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'dept')][not(contains(@type,'void'))][trlDept/@number=$phoneCardDept]/trlQty|                  trans[@type='refund sale']/trLines/trLine[contains(@type,'dept')][contains(@type,'void')][trlDept/@number=$phoneCardDept]/trlQty)"/>
		<xsl:variable name="phoneCardNegQty" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'dept')][contains(@type,'void')][trlDept/@number=$phoneCardDept]/trlQty|                  trans[@type='refund sale']/trLines/trLine[contains(@type,'dept')][not(contains(@type,'void'))][trlDept/@number=$phoneCardDept]/trlQty)"/>
		<xsl:variable name="phoneCardAmt" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'dept')][not(contains(@type,'void'))][trlDept/@number=$phoneCardDept]/trlLineTot|                  trans[@type='refund sale']/trLines/trLine[contains(@type,'dept')][contains(@type,'void')][trlDept/@number=$phoneCardDept]/trlLineTot)"/>
		<xsl:variable name="phoneCardNegAmt" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'dept')][contains(@type,'void')][trlDept/@number=$phoneCardDept]/trlLineTot|                  trans[@type='refund sale']/trLines/trLine[contains(@type,'dept')][not(contains(@type,'void'))][trlDept/@number=$phoneCardDept]/trlLineTot)"/>

		<phoneCard type="DEPARTMENT SALE">
			<count><xsl:value-of select="$phoneCardQty - $phoneCardNegQty"/></count>
			<amount><xsl:value-of select="format-number($phoneCardAmt - $phoneCardNegAmt,'#,##0.00')"/></amount>
		</phoneCard>

	</phoneCardSales>
	

	<xsl:variable name="totLotteryAmt" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lotteryDept]/trlLineTot|                trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lotteryDept]/trlLineTot)"/>
	<xsl:variable name="totLotteryNegAmt" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lotteryDept]/trlLineTot|                trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lotteryDept]/trlLineTot)"/>

	<xsl:variable name="totLotteryCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lotteryDept]/trlQty|               trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lotteryDept]/trlQty)"/>
	<xsl:variable name="totLotteryNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lotteryDept]/trlQty|               trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lotteryDept]/trlQty)"/>

	<xsl:variable name="totLotteryCust" select="count(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lotteryDept]|               trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lotteryDept])"/>
	<xsl:variable name="totLotteryNegCust" select="count(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lotteryDept]|               trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lotteryDept])"/>

	<xsl:variable name="totLottoAmt" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lottoDept]/trlLineTot|              trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lottoDept]/trlLineTot)"/>
	<xsl:variable name="totLottoNegAmt" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lottoDept]/trlLineTot|              trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lottoDept]/trlLineTot)"/>

	<xsl:variable name="totLottoCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lottoDept]/trlQty|                trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lottoDept]/trlQty)"/>
	<xsl:variable name="totLottoNegCount" select="sum(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lottoDept]/trlQty|                trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lottoDept]/trlQty)"/>

	<xsl:variable name="totLottoCust" select="count(trans[@type='sale' or @type='network sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lottoDept]|                trans[@type='refund sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lottoDept])"/>
	<xsl:variable name="totLottoNegCust" select="count(trans[@type='sale' or @type='network sale']/trLines/trLine[contains(@type,'void')][trlDept/@number=$lottoDept]|                trans[@type='refund sale']/trLines/trLine[not(contains(@type,'void'))][trlDept/@number=$lottoDept])"/>

	<instantLotterySales>
		<count><xsl:value-of select="$totLotteryCount - $totLotteryNegCount"/></count>
		<amount><xsl:value-of select="format-number($totLotteryAmt - $totLotteryNegAmt,'#,##0.00')"/></amount>
		<customers><xsl:value-of select="$totLotteryCust - $totLotteryNegCust"/></customers>
	</instantLotterySales>
	<machineLotterySales>
		<count><xsl:value-of select="$totLottoCount - $totLottoNegCount"/></count>
		<amount><xsl:value-of select="format-number($totLottoAmt - $totLottoNegAmt,'#,##0.00')"/></amount>
		<customers><xsl:value-of select="$totLottoCust - $totLottoNegCust"/></customers>
	</machineLotterySales>

</quickCounts>

</xsl:template>
</xsl:transform>