<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template match="quickCounts">
		<html>
			<head>
				<title>Quick Count Report</title>			
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Quick Count Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>

						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Generic Cigarette Counts</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Name</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Quantity</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Pack Count</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">1 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/onePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/onePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/onePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">2 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/twoPack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/twoPack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/twoPack/count"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">3 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/threePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/threePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/threePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">4 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/fourPack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/fourPack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/fourPack/count"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">5 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/fivePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/fivePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/fivePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Carton</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/carton/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/carton/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/carton/count"/></td>
							</tr>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr>		
								<td align="center">Totals</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/total/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/total/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/generic/total/count"/></td>
							</tr>
						</table>
						
						<br/>	
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Value Cigarette Counts</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Name</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Quantity</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Pack Count</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">1 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/onePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/onePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/onePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">2 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/twoPack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/twoPack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/twoPack/count"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">3 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/threePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/threePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/threePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">4 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/fourPack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/fourPack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/fourPack/count"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">5 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/fivePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/fivePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/fivePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Carton</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/carton/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/carton/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/carton/count"/></td>
							</tr>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr>		
								<td align="center">Totals</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/total/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/total/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/value/total/count"/></td>
							</tr>
						</table>
						
						<br/>	
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Premium Cigarette Counts</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Name</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Quantity</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Pack Count</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">1 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/onePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/onePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/onePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">2 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/twoPack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/twoPack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/twoPack/count"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">3 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/threePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/threePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/threePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">4 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/fourPack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/fourPack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/fourPack/count"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right">		
								<td align="center">5 Pack</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/fivePack/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/fivePack/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/fivePack/count"/></td>
							</tr>
							<tr bgcolor="#DBDBDB" align="right">		
								<td align="center">Carton</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/carton/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/carton/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/carton/count"/></td>
							</tr>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr>		
								<td align="center">Totals</td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/total/quantity"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/total/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="cigaretteSales/premium/total/count"/></td>
							</tr>
						</table>
						
						<br/>	
						
											
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Phone Cards</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Name</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Quantity</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
							</tr>						
							<xsl:for-each select="phoneCardSales/phoneCard">			
								<tr bgcolor="#FFFFFF" align="right'">		
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>		
									<xsl:apply-templates select="."/>								
								</tr>
							</xsl:for-each>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
							</tr>
							<tr>
								<td align="center">Totals</td>
								<td/>
								<td align="center"><xsl:value-of select="sum(phoneCardSales/phoneCard/count)"/></td>
								<td/>
								<td align="center"><xsl:value-of select="format-number(sum(phoneCardSales/phoneCard/amount),'#,##0.00')"/></td>
							</tr>
						</table>
						
						<br/>

											
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Lottery</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center"><b><font color="#FFFFFF">Type</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Quantity</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Amount</font></b></td>
								<td/>
								<td align="center"><b><font color="#FFFFFF">Customers</font></b></td>
							</tr>						
							<tr bgcolor="#FFFFFF" align="right'">		
								<td align="center">Instant</td>
								<td/>
								<td align="center"><xsl:value-of select="instantLotterySales/count"/></td>
								<td/>
								<td align="center"><xsl:value-of select="instantLotterySales/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="instantLotterySales/customers"/></td>
							</tr>
							<tr bgcolor="#FFFFFF" align="right'">		
								<td align="center">Machine</td>
								<td/>
								<td align="center"><xsl:value-of select="machineLotterySales/count"/></td>
								<td/>
								<td align="center"><xsl:value-of select="machineLotterySales/amount"/></td>
								<td/>
								<td align="center"><xsl:value-of select="machineLotterySales/customers"/></td>
							</tr>
						</table>
						
						<br/>

						<br/>						
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	
	<xsl:template match="phoneCard">
				<td align="center"><xsl:value-of select="@type"/></td>
				<td/>
				<td align="center"><xsl:value-of select="count"/></td>
				<td/>
				<td align="center"><xsl:value-of select="amount"/></td>
	</xsl:template>
	
</xsl:transform>