<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/transSet/naxml3.4/TaxLevelMovement" xmlns:ns1="http://verifone.com/isd/vfit/transSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/naxml3.3/TaxLevelMovement" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 base">
	<xsl:import href="../tlogDoc-xalan.xslt"/>
	<xsl:import href="../../tlog/naxml3.4/TaxLevelMovement-xalan.xsl"/>
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		
		<xsl:variable name="tlog">
			<xsl:call-template name="ns1:main">
				<xsl:with-param name="inputDoc" select="ext:nodeset($inputDoc)"/>
			</xsl:call-template>
		</xsl:variable>
		
		<xsl:variable name="report">
			<xsl:call-template name="ns2:main">
				<xsl:with-param name="inputDoc" select="ext:nodeset($tlog)"/>
			</xsl:call-template>
		</xsl:variable>
		
		<xsl:copy-of select="$report"/>
	</xsl:template>
	
</xsl:stylesheet>