<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/buildLoyaltyPPG" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/buildLoyalty" xmlns:ns3="http://verifone.com/isd/vfit/transactionSet/buildLoyaltyPPGDetail" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t js vs ns2 base">
	<xsl:import href="tlogDoc.xslt"/>
	<xsl:import href="../tlog/buildLoyalty.xslt"/>
	<xsl:import href="buildLoyaltyPPGDetail.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="/">
		<xsl:variable name="inputDoc" select="."/>
		<xsl:choose>
			<xsl:when test="//trLoyaltyProgram">
				<xsl:call-template name="ns:main">
					<xsl:with-param name="inputDoc" select="$inputDoc"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
			<xsl:call-template name="ns3:main">
				<xsl:with-param name="inputDoc" select="$inputDoc"/>
			</xsl:call-template>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>

		<xsl:variable name="tlog">
			<xsl:call-template name="ns1:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($inputDoc)"/>
			</xsl:call-template>
		</xsl:variable>

		<xsl:variable name="report">
			<xsl:call-template name="ns2:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($tlog)"/>
			</xsl:call-template>
		</xsl:variable>

		<xsl:copy-of select="$report"/>
	</xsl:template>
</xsl:stylesheet>