<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/convertDiscAmount" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/naxml3.3/tlog2naxml" xmlns:ns2="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns3="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 base ns3">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
	      <xsl:apply-templates select="$inputDoc/*"/>
	</xsl:template>
	
	<xsl:template match="* | @* | text()">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="nax:DiscountAmount">
		<xsl:variable name="lname" select="name()"/>
		<xsl:element name="{$lname}">
			<xsl:copy-of select="@*"/>
			<xsl:value-of select="format-number(.,'0.00;0.00')"/>
		</xsl:element>
	
	</xsl:template>
	
</xsl:stylesheet>